Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault
Class SecretTypeNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.portal.portlet.service.credentialvault.SecretTypeNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

    public class SecretTypeNotSupportedException

extends java.lang.Exception

Exception that is thrown when a particular Vault implementation cannot handle a specific Secret Type, as defined in the `CredentialVaultService` class.

Since:
  5.1.0.1
See Also:
  Serialized Form

Constructor Summary
`SecretTypeNotSupportedException(int secretType)` Constructs a SecretTypeNotSupported exception.
`SecretTypeNotSupportedException(int secretType, java.lang.String message)` Constructor.
`SecretTypeNotSupportedException(int secretType, java.lang.String message, java.lang.Throwable cause)` Constructor.
`SecretTypeNotSupportedException(int secretType, java.lang.Throwable throwable)` Constructs a SecretTypeNotSupportedException exception.

Method Summary
`int` | `getSecretType()` Field getter for secretType.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecretTypeNotSupportedException

    public SecretTypeNotSupportedException(int secretType)

  Constructs a SecretTypeNotSupported exception. This constructor should be used if the exception is not caused by a nested exception.

  Parameters:
    `secretType` - The Secret Type. This should be provided by the caller.

### SecretTypeNotSupportedException

    public SecretTypeNotSupportedException(int secretType,
                                           java.lang.Throwable throwable)

  Constructs a SecretTypeNotSupportedException exception. This constructor should be used if the exception is not caused by a nested exception.

  Parameters:
    `secretType` - The Secret Type. This should be provided by the caller.
    `throwable` - The throwable of the exception.

### SecretTypeNotSupportedException

    public SecretTypeNotSupportedException(int secretType,
                                           java.lang.String message)

  Constructor.

  Parameters:
    `message` - the string message.
    `secretType` - The Secret Type. This should be provided by the caller.

### SecretTypeNotSupportedException

    public SecretTypeNotSupportedException(int secretType,
                                           java.lang.String message,
                                           java.lang.Throwable cause)

  Constructor.

  Parameters:
    `message` - the string message.
    `cause` - the root cause of this exception.
    `secretType` - The Secret Type. This should be provided by the caller.

Method Detail

### getSecretType

    public int getSecretType()

  Field getter for secretType.

  Returns:
    Returns the secretType.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD